Package org.apache.lucene.util

# Interface GroupVIntUtil.IntReader

Enclosing class:
  `GroupVIntUtil`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@Deprecated @FunctionalInterface public static interface GroupVIntUtil.IntReader
Deprecated.
No longer used.
Provides an abstraction for read int values, so that decoding logic can be reused in different DataInput.

See Also:
  - `GroupVIntUtil.readGroupVInt(DataInput, long, IntReader, long, int[], int)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `read(long v)`
  Deprecated.

- ## Method Details

  - ### read

    int read(long v)
    Deprecated.